# eric4.QScintilla.Lexers.LexerTeX

Module implementing a Tex lexer with some additional methods.

### Global Attributes

None

### Classes

LexerTeX | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerTeX

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerTeX, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerTeX | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerTeX (Constructor)

LexerTeX(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerTeX.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerTeX.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerTeX.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerTeX.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up